/*!*********************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[0].use[2]!./node_modules/sass-loader/dist/cjs.js!./inc/elementor-widgets/widgets/product-recommendations/style.scss ***!
  \*********************************************************************************************************************************************************************************************************************************/
.product-recommendations {
  position: relative;
  margin-top: -118px;
  padding-top: 118px;
  overflow: hidden;
}
.product-recommendations__navigation {
  position: absolute;
  top: -95px;
  right: 16px;
}
@media (min-width: 1024px) {
  .product-recommendations__navigation {
    top: -118px;
  }
}
.product-recommendations__navigation__wrapper {
  position: relative;
  z-index: 1;
}
.product-recommendations__slider {
  width: 100%;
  overflow: visible !important;
}
@media (max-width: 767px) {
  .product-recommendations__slider {
    padding-left: 16px !important;
    padding-right: 16px !important;
  }
}
.product-recommendations__slider .swiper-wrapper {
  display: flex;
  align-items: stretch;
}
.product-recommendations__slider .swiper-slide {
  height: auto;
}
.product-recommendations__card {
  height: 100%;
}
.product-recommendations__card-link {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  height: 100%;
  text-decoration: none;
  color: var(--e-global-color-text);
  border-radius: 16px;
  border: 1px solid #ECECEC;
  box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05);
  overflow: hidden;
}
.product-recommendations__card-link:hover .product-recommendations__card-button {
  opacity: 1;
}
.product-recommendations__card-link:hover .product-recommendations__card-title {
  color: var(--e-global-color-primary) !important;
}
.product-recommendations__card-button {
  position: absolute;
  right: 16px;
  top: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48px;
  height: 48px;
  color: var(--e-global-color-accent);
  border-radius: 50%;
  background-color: var(--e-global-color-primary);
  opacity: 0;
  transition: opacity 0.3s ease;
}
.product-recommendations__card-image {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 211px;
  padding: 12px 0;
}
@media (min-width: 768px) {
  .product-recommendations__card-image {
    height: 272px;
  }
}
.product-recommendations__card-image--empty {
  background-color: var(--e-global-color-d602142);
}
.product-recommendations__card-image img {
  max-width: 100%;
  max-height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}
.product-recommendations__card-title {
  margin: 0 0 23px 0;
  padding: 23px 23px 0 23px;
  font-size: 14px !important;
  line-height: 17px !important;
  font-weight: 600;
  text-align: center;
  border-top: 1px solid #ECECEC;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  transition: color 0.3s ease;
}
@media (min-width: 768px) {
  .product-recommendations__card-title {
    font-size: 24px !important;
    line-height: 29px !important;
  }
}
